Skip to main content
PUT
/
v2
/
users
/
{user_id}
Update User
curl --request PUT \
  --url https://api.galileo.ai/v2/users/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email_is_verified": true
}
'
import requests

url = "https://api.galileo.ai/v2/users/{user_id}"

payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_is_verified": True
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
email_is_verified: true
})
};

fetch('https://api.galileo.ai/v2/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "email": "<string>",
  "organization_id": "<string>",
  "organization_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "permissions": [],
  "first_name": "",
  "last_name": "",
  "auth_method": "email",
  "role": "read_only",
  "email_is_verified": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

user_id
string<uuid4>
required

Body

application/json
email
string | null
first_name
string | null
last_name
string | null
role
enum<string> | null
Available options:
admin,
manager,
user,
read_only
email_is_verified
boolean | null

Response

Successful Response

id
string<uuid4>
required
email
string
required
organization_id
string<uuid4>
required
organization_name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
permissions
Permission · object[]
first_name
string | null
default:""
last_name
string | null
default:""
auth_method
enum<string>
default:email
Available options:
email,
google,
github,
okta,
azure-ad,
custom,
saml,
invite
role
enum<string>
default:read_only
Available options:
admin,
manager,
user,
read_only
email_is_verified
boolean | null